    <!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.15.1">
    <title>BachelorThesis.Router.Helpers – bachelor_thesis v0.0.1</title>
    <link rel="stylesheet" href="dist/app-af302bfcc4.css" />
    
    <script src="dist/sidebar_items-1963507629.js"></script>
  </head>
  <body data-type="modules">
    <script>try { if(localStorage.getItem('night-mode')) document.body.className += ' night-mode'; } catch (e) { }</script>

    <div class="main">
<button class="sidebar-toggle">
  <i class="icon-menu"></i>
</button>
<section class="sidebar">

  
  <a href="api-reference.html" class="sidebar-projectLink">
    <div class="sidebar-projectDetails">
      <h1 class="sidebar-projectName">
        bachelor_thesis
      </h1>
      <h2 class="sidebar-projectVersion">
        v0.0.1
      </h2>
    </div>
    
  </a>

  <div class="sidebar-search">
    <i class="icon-search"></i>
    <input type="text" class="sidebar-searchInput" placeholder="search" autocomplete="off" />
  </div>

  <ul class="sidebar-listNav">
    <li><a id="extras-list" href="#full-list">Pages</a></li>

    
      <li><a id="modules-list" href="#full-list">Modules</a></li>
    

    

    
  </ul>
  <div class="gradient"></div>
  <ul id="full-list" class="sidebar-fullList"></ul>
</section>

<section class="content">
  <div class="content-outer">
    <div id="content" class="content-inner">


      <h1>
        <small class="visible-xs">bachelor_thesis v0.0.1</small>
        BachelorThesis.Router.Helpers
        
        
      </h1>

      
        <section id="moduledoc">
          <p>Module with named helpers generated from BachelorThesis.Router.</p>

        </section>
      

      
        <section id="summary" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#summary">
              <i class="icon-link"></i>
            </a>
            Summary
          </h1>
          

          
  <div class="summary-functions summary">
    <h2>
      <a href="#functions">Functions</a>
    </h2>
    <div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_path/3">device_action_path(conn_or_endpoint, action, device_token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_path/4">device_action_path(conn_or_endpoint, action, device_token, action_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_path/5">device_action_path(conn_or_endpoint, action, device_token, action_id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_path/6">device_action_path(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_path/7">device_action_path(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_url/3">device_action_url(conn_or_endpoint, action, device_token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_url/4">device_action_url(conn_or_endpoint, action, device_token, action_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_url/5">device_action_url(conn_or_endpoint, action, device_token, action_id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_url/6">device_action_url(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_action_url/7">device_action_url(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_path/3">device_path(conn_or_endpoint, action, token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_path/4">device_path(conn_or_endpoint, action, token, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_url/3">device_url(conn_or_endpoint, action, token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_url/4">device_url(conn_or_endpoint, action, token, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_path/3">device_value_path(conn_or_endpoint, action, device_token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_path/4">device_value_path(conn_or_endpoint, action, device_token, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_path/5">device_value_path(conn_or_endpoint, action, device_token, interface_type_shortcut, value)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_path/6">device_value_path(conn_or_endpoint, action, device_token, interface_type_shortcut, value, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_url/3">device_value_url(conn_or_endpoint, action, device_token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_url/4">device_value_url(conn_or_endpoint, action, device_token, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_url/5">device_value_url(conn_or_endpoint, action, device_token, interface_type_shortcut, value)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#device_value_url/6">device_value_url(conn_or_endpoint, action, device_token, interface_type_shortcut, value, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#page_path/2">page_path(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#page_path/3">page_path(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#page_url/2">page_url(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#page_url/3">page_url(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#path/2">path(data, path)</a>
  </div>
  
    <div class="summary-synopsis"><p>Generates the path information including any necessary prefix</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#plug_path/2">plug_path(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#plug_path/3">plug_path(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#plug_url/2">plug_url(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#plug_url/3">plug_url(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#session_path/2">session_path(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#session_path/3">session_path(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#session_url/2">session_url(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#session_url/3">session_url(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#smart_device_path/3">smart_device_path(conn_or_endpoint, action, token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#smart_device_path/4">smart_device_path(conn_or_endpoint, action, token, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#smart_device_url/3">smart_device_url(conn_or_endpoint, action, token)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#smart_device_url/4">smart_device_url(conn_or_endpoint, action, token, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#static_path/2">static_path(conn, path)</a>
  </div>
  
    <div class="summary-synopsis"><p>Generates path to a static asset given its file path</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#static_url/2">static_url(conn, path)</a>
  </div>
  
    <div class="summary-synopsis"><p>Generates url to a static asset given its file path</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#url/1">url(data)</a>
  </div>
  
    <div class="summary-synopsis"><p>Generates the connection/endpoint base URL without any path information</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_path/3">user_device_path(conn_or_endpoint, action, user_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_path/4">user_device_path(conn_or_endpoint, action, user_id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_path/5">user_device_path(conn_or_endpoint, action, user_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_path/6">user_device_path(conn_or_endpoint, action, user_id, device_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_url/3">user_device_url(conn_or_endpoint, action, user_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_url/4">user_device_url(conn_or_endpoint, action, user_id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_url/5">user_device_url(conn_or_endpoint, action, user_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_device_url/6">user_device_url(conn_or_endpoint, action, user_id, device_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_path/2">user_path(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_path/3">user_path(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_path/4">user_path(conn_or_endpoint, action, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_path/3">user_smart_device_path(conn_or_endpoint, action, user_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_path/4">user_smart_device_path(conn_or_endpoint, action, user_id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_path/5">user_smart_device_path(conn_or_endpoint, action, user_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_path/6">user_smart_device_path(conn_or_endpoint, action, user_id, smart_device_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_url/3">user_smart_device_url(conn_or_endpoint, action, user_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_url/4">user_smart_device_url(conn_or_endpoint, action, user_id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_url/5">user_smart_device_url(conn_or_endpoint, action, user_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_smart_device_url/6">user_smart_device_url(conn_or_endpoint, action, user_id, smart_device_id, id, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_url/2">user_url(conn_or_endpoint, action)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_url/3">user_url(conn_or_endpoint, action, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#user_url/4">user_url(conn_or_endpoint, action, id, params)</a>
  </div>
  
</div>

  </div>


          

        </section>
      

      

      
        <section id="functions" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#functions">
              <i class="icon-link"></i>
            </a>
            Functions
          </h1>
          <div class="detail" id="device_action_path/3">
  
  <div class="detail-header">
    <a href="#device_action_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_path(conn_or_endpoint, action, device_token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_path/4">
  
  <div class="detail-header">
    <a href="#device_action_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_path(conn_or_endpoint, action, device_token, action_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_path/5">
  
  <div class="detail-header">
    <a href="#device_action_path/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_path(conn_or_endpoint, action, device_token, action_id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_path/6">
  
  <div class="detail-header">
    <a href="#device_action_path/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_path(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_path/7">
  
  <div class="detail-header">
    <a href="#device_action_path/7" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_path(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_url/3">
  
  <div class="detail-header">
    <a href="#device_action_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_url(conn_or_endpoint, action, device_token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_url/4">
  
  <div class="detail-header">
    <a href="#device_action_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_url(conn_or_endpoint, action, device_token, action_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_url/5">
  
  <div class="detail-header">
    <a href="#device_action_url/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_url(conn_or_endpoint, action, device_token, action_id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_url/6">
  
  <div class="detail-header">
    <a href="#device_action_url/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_url(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_action_url/7">
  
  <div class="detail-header">
    <a href="#device_action_url/7" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_action_url(conn_or_endpoint, action, device_token, smart_device_token, interface_type_shortcut, value, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_path/3">
  
  <div class="detail-header">
    <a href="#device_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_path(conn_or_endpoint, action, token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_path/4">
  
  <div class="detail-header">
    <a href="#device_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_path(conn_or_endpoint, action, token, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_url/3">
  
  <div class="detail-header">
    <a href="#device_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_url(conn_or_endpoint, action, token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_url/4">
  
  <div class="detail-header">
    <a href="#device_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_url(conn_or_endpoint, action, token, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_path/3">
  
  <div class="detail-header">
    <a href="#device_value_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_path(conn_or_endpoint, action, device_token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_path/4">
  
  <div class="detail-header">
    <a href="#device_value_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_path(conn_or_endpoint, action, device_token, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_path/5">
  
  <div class="detail-header">
    <a href="#device_value_path/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_path(conn_or_endpoint, action, device_token, interface_type_shortcut, value)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_path/6">
  
  <div class="detail-header">
    <a href="#device_value_path/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_path(conn_or_endpoint, action, device_token, interface_type_shortcut, value, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_url/3">
  
  <div class="detail-header">
    <a href="#device_value_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_url(conn_or_endpoint, action, device_token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_url/4">
  
  <div class="detail-header">
    <a href="#device_value_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_url(conn_or_endpoint, action, device_token, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_url/5">
  
  <div class="detail-header">
    <a href="#device_value_url/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_url(conn_or_endpoint, action, device_token, interface_type_shortcut, value)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="device_value_url/6">
  
  <div class="detail-header">
    <a href="#device_value_url/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">device_value_url(conn_or_endpoint, action, device_token, interface_type_shortcut, value, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="page_path/2">
  
  <div class="detail-header">
    <a href="#page_path/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">page_path(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="page_path/3">
  
  <div class="detail-header">
    <a href="#page_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">page_path(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="page_url/2">
  
  <div class="detail-header">
    <a href="#page_url/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">page_url(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="page_url/3">
  
  <div class="detail-header">
    <a href="#page_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">page_url(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="path/2">
  
  <div class="detail-header">
    <a href="#path/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">path(data, path)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Generates the path information including any necessary prefix.</p>

  </section>
</div>
<div class="detail" id="plug_path/2">
  
  <div class="detail-header">
    <a href="#plug_path/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">plug_path(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="plug_path/3">
  
  <div class="detail-header">
    <a href="#plug_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">plug_path(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="plug_url/2">
  
  <div class="detail-header">
    <a href="#plug_url/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">plug_url(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="plug_url/3">
  
  <div class="detail-header">
    <a href="#plug_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">plug_url(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="session_path/2">
  
  <div class="detail-header">
    <a href="#session_path/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">session_path(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="session_path/3">
  
  <div class="detail-header">
    <a href="#session_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">session_path(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="session_url/2">
  
  <div class="detail-header">
    <a href="#session_url/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">session_url(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="session_url/3">
  
  <div class="detail-header">
    <a href="#session_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">session_url(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="smart_device_path/3">
  
  <div class="detail-header">
    <a href="#smart_device_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">smart_device_path(conn_or_endpoint, action, token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="smart_device_path/4">
  
  <div class="detail-header">
    <a href="#smart_device_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">smart_device_path(conn_or_endpoint, action, token, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="smart_device_url/3">
  
  <div class="detail-header">
    <a href="#smart_device_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">smart_device_url(conn_or_endpoint, action, token)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="smart_device_url/4">
  
  <div class="detail-header">
    <a href="#smart_device_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">smart_device_url(conn_or_endpoint, action, token, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="static_path/2">
  
  <div class="detail-header">
    <a href="#static_path/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">static_path(conn, path)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Generates path to a static asset given its file path.</p>

  </section>
</div>
<div class="detail" id="static_url/2">
  
  <div class="detail-header">
    <a href="#static_url/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">static_url(conn, path)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Generates url to a static asset given its file path.</p>

  </section>
</div>
<div class="detail" id="url/1">
  
  <div class="detail-header">
    <a href="#url/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">url(data)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Generates the connection/endpoint base URL without any path information.</p>

  </section>
</div>
<div class="detail" id="user_device_path/3">
  
  <div class="detail-header">
    <a href="#user_device_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_path(conn_or_endpoint, action, user_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_path/4">
  
  <div class="detail-header">
    <a href="#user_device_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_path(conn_or_endpoint, action, user_id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_path/5">
  
  <div class="detail-header">
    <a href="#user_device_path/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_path(conn_or_endpoint, action, user_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_path/6">
  
  <div class="detail-header">
    <a href="#user_device_path/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_path(conn_or_endpoint, action, user_id, device_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_url/3">
  
  <div class="detail-header">
    <a href="#user_device_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_url(conn_or_endpoint, action, user_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_url/4">
  
  <div class="detail-header">
    <a href="#user_device_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_url(conn_or_endpoint, action, user_id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_url/5">
  
  <div class="detail-header">
    <a href="#user_device_url/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_url(conn_or_endpoint, action, user_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_device_url/6">
  
  <div class="detail-header">
    <a href="#user_device_url/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_device_url(conn_or_endpoint, action, user_id, device_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_path/2">
  
  <div class="detail-header">
    <a href="#user_path/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_path(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_path/3">
  
  <div class="detail-header">
    <a href="#user_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_path(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_path/4">
  
  <div class="detail-header">
    <a href="#user_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_path(conn_or_endpoint, action, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_path/3">
  
  <div class="detail-header">
    <a href="#user_smart_device_path/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_path(conn_or_endpoint, action, user_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_path/4">
  
  <div class="detail-header">
    <a href="#user_smart_device_path/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_path(conn_or_endpoint, action, user_id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_path/5">
  
  <div class="detail-header">
    <a href="#user_smart_device_path/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_path(conn_or_endpoint, action, user_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_path/6">
  
  <div class="detail-header">
    <a href="#user_smart_device_path/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_path(conn_or_endpoint, action, user_id, smart_device_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_url/3">
  
  <div class="detail-header">
    <a href="#user_smart_device_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_url(conn_or_endpoint, action, user_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_url/4">
  
  <div class="detail-header">
    <a href="#user_smart_device_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_url(conn_or_endpoint, action, user_id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_url/5">
  
  <div class="detail-header">
    <a href="#user_smart_device_url/5" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_url(conn_or_endpoint, action, user_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_smart_device_url/6">
  
  <div class="detail-header">
    <a href="#user_smart_device_url/6" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_smart_device_url(conn_or_endpoint, action, user_id, smart_device_id, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_url/2">
  
  <div class="detail-header">
    <a href="#user_url/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_url(conn_or_endpoint, action)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_url/3">
  
  <div class="detail-header">
    <a href="#user_url/3" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_url(conn_or_endpoint, action, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="user_url/4">
  
  <div class="detail-header">
    <a href="#user_url/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">user_url(conn_or_endpoint, action, id, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>

        </section>
      

      
          <footer class="footer">
        <p>
          <span class="line">
            Built using
            <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" rel="help" target="_blank">ExDoc</a> (v0.15.1),
          </span>
          <span class="line">
            designed by
            <a href="https://twitter.com/dignifiedquire" target="_blank" title="@dignifiedquire">Friedel Ziegelmayer</a>.
            </span>
        </p>
        <button class="night-mode-toggle" />
      </footer>
    </div>
  </div>
</section>
</div>
  <script src="dist/app-e9767fa739.js"></script>
  </body>
</html>

